## MMLocationGpsNmea

MMLocationGpsNmea — Helper object to handle NMEA-based GPS location information.

## Functions

const gchar * | mm_location_gps_nmea_get_trace ()
gchar ** | mm_location_gps_nmea_get_traces ()

## Types and Values

struct | MMLocationGpsNmea

## Object Hierarchy

        GObject
        ╰── MMLocationGpsNmea

## Description

The MMLocationGpsNmea is an object handling the location information of the modem when this is reported by GPS.

This object is retrieved with either `mm_modem_location_get_gps_nmea()`, `mm_modem_location_get_gps_nmea_sync()`, `mm_modem_location_get_full()` or `mm_modem_location_get_full_sync()`.

## Functions

### mm_location_gps_nmea_get_trace ()

    const gchar *
    mm_location_gps_nmea_get_trace (MMLocationGpsNmea *self,
                                    const gchar *trace_type);

Gets the last cached value of the specific `trace_type` given.

#### Parameters

self | a MMLocationGpsNmea. |
trace_type | specific NMEA trace type to gather. |

#### Returns

the NMEA trace, or `NULL` if not available. Do not free the returned value, it is owned by `self` .

Since: 1.0

### mm_location_gps_nmea_get_traces ()

    gchar **
    mm_location_gps_nmea_get_traces (MMLocationGpsNmea *self);

Gets all cached traces.

#### Parameters

self | a MMLocationGpsNmea. |

#### Returns

The list of traces, or `NULL` if none available. The returned value should be freed with `g_strfreev()`.

[transfer full]

Since: 1.14

## Types and Values

### struct MMLocationGpsNmea

    struct MMLocationGpsNmea;

The MMLocationGpsNmea structure contains private data and should only be accessed using the provided API.